import { useState, useEffect } from 'react';
import Students from './components/Students';
import Header from './components/Header'
import Form from './components/Form';
import 'bootstrap/dist/css/bootstrap.min.css';

function App() {

  const [studentsData, setStudentsData] = useState([]);
  const [text, setText] = useState();
  const [mark, setMark] = useState();

  const fetchStudents = async () => {
    const response = await fetch('http://localhost:5000/students');
    const data = await response.json();
    return data;
  }

  useEffect(() => {
    const setStudents = async () => {
      const data = await fetchStudents()
      setStudentsData(data);
    }
    setStudents();
  }, [])

  const addStudent = async (data) => {
    const response = await fetch('http://localhost:5000/students', { method: 'POST', headers: { 'content-type': 'application/json' }, body: JSON.stringify(data) });
    const datas = await response.json();
    setStudentsData([...studentsData, datas]);

  };

  const deleteStudent = async (id) => {
    await fetch(`http://localhost:5000/students/${id}`, { method: 'DELETE' })
    setStudentsData(studentsData.filter((data) => data.id !== id))
  }

  const editStudent = async (id) => {
    let item = { text, mark }
    const response = await fetch(`http://localhost:5000/students/${id}`, {
      method: 'PUT',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(item)
    })
    const data = await response.json()
    setStudentsData(data);
  }

  return (
    <div className="c-container">
      <Header />
      <Form onAdd={addStudent} text={text} setText={setText} mark={mark} setMark={setMark}/>
      {studentsData.map((data, index) => (
        <Students key={data.id} index={index} id={data.id} marks={data.mark} onAdd={addStudent} onDelete={deleteStudent}>{data.text}</Students>
      ))}
    </div>

  );
}

export default App;
