
const Form = ({ onAdd, text, setText, mark, setMark }) => {

    const handleSubmit = (e) => {
        e.preventDefault()

        if (!text) {
            alert('Please Enter Student Name');
            return;
        } else if (!mark) {
            alert('Please Enter Mark')
            return;
        }

        onAdd({
            mark: mark,
            text: text,
        });

        setText('');
        setMark('');
    }

    return (
        <form className='add-form' onSubmit={handleSubmit}>
            <div className='form-ctrl'>
                <label>Student Name</label>
                <input type='text' placeholder='Name' value={text} onChange={(e) => setText(e.target.value)} />
            </div>
            <div className='form-ctrl'>
                <label>Mark</label>
                <input type='number' placeholder='Mark' value={mark} onChange={(e) => setMark(e.target.value)} />
            </div>
            <input type='submit' value='Save' className='button button-block' />
        </form>
    )
}

export default Form
